#

OPT = -O2 -r8
FFLAGS = ${OPT} -g -c -IInclude

BINDIR = ../bin

COMP = pgf90

phoenix2: phoenix2.o genpath.o elecont.o block.o geom.o banach.o \
	intcor1.o pdbout.o openunits.o noyes.o concat.o ilen.o ucase.o \
	lcase.o iblnk.o minimize.o sumsld.o cored.o rmdd.o gradient.o \
	pinorm.o generate.o calcfpo.o bd11p.o solvation.o place.o nrgsetup.o \
	param.o 
	$(COMP) ${OPT} phoenix2.o genpath.o elecont.o block.o geom.o banach.o \
	intcor1.o pdbout.o openunits.o noyes.o concat.o ilen.o ucase.o lcase.o \
	iblnk.o minimize.o sumsld.o cored.o rmdd.o gradient.o pinorm.o \
        generate.o calcfpo.o bd11p.o solvation.o place.o nrgsetup.o param.o \
	 -o $(BINDIR)/phoenix2

phoenix2.o: phoenix2.f parcom.dat
	$(COMP) $(FFLAGS) phoenix2.f 

openunits.o: $(SHAREDIR)openunits.f
	$(COMP) $(FFLAGS) $(SHAREDIR)openunits.f

noyes.o: $(SHAREDIR)noyes.f       
	$(COMP) $(FFLAGS) $(SHAREDIR)noyes.f    

genpath.o: genpath.f parcom.dat          
	$(COMP) $(FFLAGS) genpath.f

elecont.o: elecont.f parcom.dat   
	$(COMP) $(FFLAGS) elecont.f 

block.o: block.f parcom.dat       
	$(COMP) $(FFLAGS) block.f 
   
geom.o: geom.f parcom.dat
	$(COMP) $(FFLAGS) geom.f 
   
banach.o: banach.f parcom.dat
	$(COMP) $(FFLAGS) banach.f 

intcor1.o: intcor1.f parcom.dat
	$(COMP) $(FFLAGS) intcor1.f

pdbout.o: pdbout.f parcom.dat
	$(COMP) $(FFLAGS) pdbout.f

concat.o: $(SHAREDIR)concat.f 
	$(COMP) $(FFLAGS) $(SHAREDIR)concat.f

ucase.o: $(SHAREDIR)ucase.f 
	$(COMP) $(FFLAGS) $(SHAREDIR)ucase.f

lcase.o: $(SHAREDIR)lcase.f 
	$(COMP) $(FFLAGS) $(SHAREDIR)lcase.f

ilen.o: $(SHAREDIR)ilen.f 
	$(COMP) $(FFLAGS) $(SHAREDIR)ilen.f

iblnk.o: $(SHAREDIR)iblnk.f 
	$(COMP) $(FFLAGS) $(SHAREDIR)iblnk.f

minimize.o: minimize.f
	$(COMP) $(FFLAGS) minimize.f

sumsld.o: sumsld.f
	$(COMP) $(FFLAGS) sumsld.f

cored.o: cored.f
	$(COMP) $(FFLAGS) cored.f

rmdd.o: rmdd.f
	$(COMP) $(FFLAGS) rmdd.f

gradient.o: gradient.f
	$(COMP) $(FFLAGS) gradient.f

#convert.o: convert.f
#	$(COMP) $(FFLAGS) convert.f

pinorm.o: pinorm.f
	$(COMP) $(FFLAGS) pinorm.f

generate.o: generate.F
	$(COMP) $(FFLAGS) generate.F

calcfpo.o: calcfpo.F
	$(COMP) $(FFLAGS) calcfpo.F

bd11p.o: bd11p.f
	$(COMP) $(FFLAGS) bd11p.f

solvation.o: solvation.f
	$(COMP) $(FFLAGS) solvation.f

place.o: place.f
	$(COMP) $(FFLAGS) place.f

nrgsetup.o: nrgsetup.F
	$(COMP) $(FFLAGS) nrgsetup.F

param.o: param.F
	$(COMP) $(FFLAGS) param.F

#readrtns.o: readrtns.F
#	$(COMP) $(FFLAGS) readrtns.F
#
#gradients.o: gradients.F
#	$(COMP) $(FFLAGS) gradients.F
#
#cartder.o: cartder.f
#	$(COMP) $(FFLAGS) cartder.f
# 
clean:
	/bin/rm *.o
